function HuskPlayerMovement:allow_dropped_magazines()
	if managers.weapon_factory:use_thq_weapon_parts() then
		return MagDropFixes.Options:GetValue("MagDropEnable")
	else
		return false
	end
end

Hooks:PostHook(HuskPlayerMovement, "update", "husk_update_mag_fix", function(self)
	if not self._ext_anim.reload and self._magazine_data and alive(self._magazine_data.unit) then
		self._magazine_data.unit:set_slot(0)
		self._magazine_data = nil
		
		local equipped_weapon = self._unit:inventory():equipped_unit()

		if alive(equipped_weapon) then
			for part_id, part_data in pairs(equipped_weapon:base()._parts) do
				local part = tweak_data.weapon.factory.parts[part_id]

				if part and part.type == "magazine" then
					part_data.unit:set_visible(true)
				end
			end
		end
	end
end)